package repository

import "be.ems/src/modules/network_data/model"

// 告警 数据层接口
type IAlarm interface {
	// SelectPage 根据条件分页查询
	SelectPage(querys model.AlarmQuery) map[string]any

	// SelectByIds 通过ID查询
	SelectByIds(ids []string) []model.Alarm

	// DeleteByIds 批量删除信息
	DeleteByIds(ids []string) int64
}
